<script lang="ts">
import Vue from 'vue';
import { init, refresh } from 'aos';
import { NextStep, SideNavigation } from '../components/common/index';
import {
  SolutionsHero,
  SolutionsResourceCards,
} from '../components/solutions/index';
import {
  ByIndustryIntro,
  ByIndustrySolutionsBlock,
  ByIndustryCaseStudies,
} from '../components/solutions/by-industry/index';
import {
  BySolutionIntro,
  BySolutionBenefits,
  BySolutionValueProp,
} from '../components/solutions/by-solution/index';
import { getPageMetadata } from '../common/meta';

export default Vue.extend({
  components: {
    NextStep,
    SideNavigation,
    SolutionsHero,
    ByIndustryIntro,
    BySolutionIntro,
    BySolutionBenefits,
    ByIndustrySolutionsBlock,
    BySolutionValueProp,
    ByIndustryCaseStudies,
    SolutionsResourceCards,
  },
  async asyncData({ $content, params }: any) {
    const doc = await $content('small-business', params.slug).fetch();
    return { doc };
  },
  head() {
    return getPageMetadata(this.doc, this.$route.path);
  },
  beforeMount() {
    init({
      once: true,
    });
  },
  mounted() {
    refresh();
  },
});
</script>

<template>
  <div>
    <SolutionsHero :data="doc.solutions_hero" />
    <ByIndustryIntro :data="doc.by_industry_intro" />
    <SideNavigation
      :links="[
        { title: 'Overview', href: '#overview' },
        { title: 'Capabilities', href: '#capabilities' },
        { title: 'Benefits', href: '#benefits' },
        { title: 'Case Studies', href: '#case-studies' },
      ]"
    >
      <div id="overview" data-slippers-scroll="overview">
        <BySolutionIntro :data="doc.by_solution_intro" :offset="2" />
        <BySolutionBenefits :data="doc.by_solution_benefits" :offset="2" />
      </div>
      <ByIndustrySolutionsBlock
        id="capabilities"
        :offset="2"
        :data="doc.by_industry_solutions_block"
      />
      <BySolutionValueProp
        id="benefits"
        :justify-content="true"
        :data="doc.by_solution_value_prop"
      />
      <ByIndustryCaseStudies
        id="case-studies"
        :offset="2"
        :data="doc.by_industry_case_studies"
      />
    </SideNavigation>
    <SolutionsResourceCards :data="doc.solutions_resource_cards" />
    <NextStep />
  </div>
</template>
